Index: /extensions/AMenuManager/js/amm_randomPictConfig.js
===================================================================
--- /extensions/AMenuManager/js/amm_randomPictConfig.js	(revision 8962)
+++ /extensions/AMenuManager/js/amm_randomPictConfig.js	(revision 8962)
@@ -0,0 +1,254 @@
+/**
+ * randomPictConfig
+ *
+ * release 1.0.0
+ */
+function randomPictConfig(opt, keys, token, initValues)
+{
+  var options = {
+          ajaxUrl:'plugins/AMenuManager/amm_ajax.php'
+        },
+      translatedKeys= {
+          g002_setting_randompic_periodicchange_deactivated:'g002_setting_randompic_periodicchange_deactivated',
+          g002_setting_randompic_height_auto:'g002_setting_randompic_height_auto'
+        },
+      properties = {
+          token:token
+        },
+
+
+  /**
+   * submit config
+   */
+  submit = function ()
+    {
+      if(!checkValidity()) return(false);
+
+      displayProcessing(true);
+
+      // build datas
+      var datas = {
+        blockTitles:[],
+        blockHeight:$("#iamm_rp_height_slider").slider('option', 'value'),
+        infosName:$("#iamm_randompicture_showname").inputList('value'),
+        infosComment:$("#iamm_randompicture_showcomment").inputList('value'),
+        freqDelay:$("#iamm_rp_pc_slider").slider('option', 'value')==99?0:$("#iamm_rp_pc_slider").slider('option', 'value'),
+        selectMode:$("#iamm_randompicture_selectedMode").inputRadio('value'),
+        selectCat:$("#iamm_randompicture_selectedCat").categorySelector('value')
+      };
+
+
+
+      list=$('#iamm_randompicture_title').inputText('languagesValues');
+      for(var id in list)
+      {
+        datas.blockTitles.push({id:id, value:list[id]});
+      }
+
+      $.ajax(
+        {
+          type: "POST",
+          url: options.ajaxUrl,
+          async: true,
+          data: { ajaxfct:"admin.randomPict.setConfig", token:properties.token, datas:datas },
+          success:
+            function(msg)
+            {
+              displayProcessing(false);
+
+              returned=msg.split('!');
+
+              if(returned[0]=='OK')
+              {
+                $('#iConfigState')
+                  .html(returned[1])
+                  .removeClass('errors')
+                  .addClass('infos')
+                  .css('display', 'block');
+              }
+              else
+              {
+                $('#iConfigState')
+                  .html(returned[1])
+                  .removeClass('infos')
+                  .addClass('errors')
+                  .css('display', 'block');
+              }
+            }
+        }
+      );
+    },
+
+  /**
+   * check validity of form
+   */
+  checkValidity = function ()
+    {
+      $('.error').removeClass('error');
+      ok=true;
+      $("#iamm_randompicture_selectedCat").categorySelector('isValid', true);
+
+      if($("#iamm_randompicture_selectedMode").inputRadio('value')=='c' &&
+         $("#iamm_randompicture_selectedCat").categorySelector('value').length==0
+        )
+      {
+        ok=false;
+        $("#iamm_randompicture_selectedCat").categorySelector('isValid', false);
+      }
+
+      return(ok);
+    },
+
+  /**
+   * display or hide the processing flower
+   */
+  displayProcessing = function (visible)
+    {
+      if(visible)
+      {
+        $('#iBDProcessing').css("display", "block");
+      }
+      else
+      {
+        $('#iBDProcessing').css("display", "none");
+      }
+    },
+
+  /**
+   * initialize the object and page form
+   */
+  init = function (initValues)
+  {
+    $('#iamm_randompicture_selectedMode').inputRadio(
+      {
+        change:function () { $('#iConfigState').hide(); }
+      }
+    );
+    $('#iamm_randompicture_selectedMode').inputRadio('value', initValues.selectMode);
+
+    $('#iamm_randompicture_selectedCat').categorySelector(
+      {
+        serverUrl:'plugins/GrumPluginClasses/gpc_ajax.php',
+        listMaxWidth:650,
+        listMaxHeight:550,
+        userMode:'public',
+        galleryRoot:false,
+        displayStatus:false,
+        filter:'all',
+        multiple:true,
+        load:
+          function (event)
+          {
+            $(this)
+              .categorySelector('collapse', ':all')
+              .categorySelector('value', initValues.selectCat);
+          },
+        change: function () { $('#iConfigState').hide(); }
+      }
+    );
+
+    $('#iamm_randompicture_showname').inputList(
+      {
+        colsWidth:[300],
+        popupMode:'mouseout',
+        change: function () { $('#iConfigState').hide(); }
+      }
+    ).inputList('value', initValues.infosName);
+    $('#iamm_randompicture_showcomment').inputList(
+      {
+        colsWidth:[300],
+        popupMode:'mouseout',
+        change: function () { $('#iConfigState').hide(); }
+      }
+    ).inputList('value', initValues.infosComment);
+
+
+    $('#islang').inputList(
+      {
+        popupMode:'mouseout',
+        change: function () { $('#iConfigState').hide(); }
+      }
+    );
+
+    $('#iamm_randompicture_title').inputText(
+      {
+        languages:initValues.langs,
+        languagesValues:initValues.blockTitles,
+        currentLanguage:initValues.userLang,
+        languageSelector:'islang',
+        displayChar:50,
+        maxChar:255,
+        change: function () { $('#iConfigState').hide(); }
+      }
+    );
+
+    $('#islang').inputList('value', initValues.userLang);
+
+
+
+    formatDelay(initValues.freqDelay);
+    $("#iamm_rp_pc_slider").slider(
+      {
+        min:0,
+        max:60000,
+        step:50,
+        value:initValues.freqDelay,
+        slide: function(event, ui) { formatDelay(ui.value); },
+        change: function () { $('#iConfigState').hide(); }
+      });
+    $("#iamm_rp_pc_slider a").addClass('gcBgInput');
+
+    formatHeight(initValues.blockHeight);
+    $("#iamm_rp_height_slider").slider(
+      {
+        min:99,
+        max:300,
+        steps:1,
+        value:initValues.blockHeight,
+        slide: function(event, ui) { formatHeight(ui.value); },
+        change: function () { $('#iConfigState').hide(); }
+      });
+    $("#iamm_rp_height_slider a").addClass('gcBgInput');
+  },
+
+  /**
+   * format delay value for display
+   */
+  formatDelay = function(delay)
+  {
+    $("#iamm_randompicture_periodicchange").val(delay);
+    if(delay==0)
+    {
+      $("#iamm_rp_pc_display").html(translatedKeys.g002_setting_randompic_periodicchange_deactivated);
+    }
+    else
+    {
+      $("#iamm_rp_pc_display").html((delay/1000).toFixed(2)+"s");
+    }
+  },
+
+  formatHeight = function(height)
+  {
+    var vheight = (height==99)?0:height;
+
+    $("#iamm_randompicture_height").val(vheight);
+    if(vheight==0)
+    {
+      $("#iamm_rp_height_display").html(translatedKeys.g002_setting_randompic_height_auto);
+    }
+    else
+    {
+      $("#iamm_rp_height_display").html(vheight+"px");
+    }
+  };
+
+
+  $.extend(options, opt);
+  $.extend(translatedKeys, keys);
+
+  this.submit = function () { submit(); };
+
+  init(initValues);
+}
+
+
Index: /extensions/AMenuManager/js/amm_randomPictPublic.js
===================================================================
--- /extensions/AMenuManager/js/amm_randomPictPublic.js	(revision 8962)
+++ /extensions/AMenuManager/js/amm_randomPictPublic.js	(revision 8962)
@@ -0,0 +1,110 @@
+/**
+ * randomPict
+ *
+ * release 1.0.0
+ */
+function randomPict(opt)
+{
+  var options={
+          fixedHeight:0,
+          pictures:[],
+          showName:'n',
+          showComment:'n',
+          delay:0
+        },
+      properties={
+          vIntervalID:0,
+          vCurrentPict:0,
+          nameDOM:'',
+          commentDOM:'',
+          img:new Image()
+        },
+
+  init = function (opt)
+  {
+    $.extend(options, opt);
+
+    switch(options.showName)
+    {
+      case 'o':
+        properties.nameDOM='iammRPicNameO';
+        break;
+      case 'u':
+        properties.nameDOM='iammRPicNameU';
+        break;
+    }
+    switch(options.showComment)
+    {
+      case 'o':
+        properties.commentDOM='iammRPicCommentO';
+        break;
+      case 'u':
+        properties.commentDOM='iammRPicCommentU';
+        break;
+    }
+
+    if(properties.nameDOM!='') $('#'+properties.nameDOM).css('display', 'block');
+    if(properties.commentDOM!='') $('#'+properties.commentDOM).css('display', 'block');
+
+    if(options.delay>0) properties.vIntervalID = window.setInterval(getNextPicture, options.delay);
+
+    if(options.fixedHeight>0) $('#irandompicinner').css('height', options.fixedHeight+'px');
+
+    preloadImages();
+  },
+
+  preloadImages = function ()
+  {
+    $(properties.img).bind('load',
+      function ()
+      {
+        properties.vCurrentPict++;
+        if(properties.vCurrentPict>=options.pictures.length)
+        {
+          properties.vCurrentPict=-1;
+          getNextPicture();
+        }
+        else
+        {
+          properties.img.src=options.pictures[properties.vCurrentPict].thumb;
+        }
+      }
+    );
+    properties.img.src=options.pictures[properties.vCurrentPict].thumb;
+  },
+
+  computePositionTop = function()
+  {
+    $("#iamm_ill0").css({top:(options.fixedHeight-$("#iamm_ill0").innerHeight())/2});
+  },
+
+  getNextPicture = function()
+  {
+    properties.vCurrentPict++;
+    if(properties.vCurrentPict>=options.pictures.length) properties.vCurrentPict=0;
+
+    $('#iamm_ill0').fadeTo(200, 0,
+      function ()
+      {
+        if(properties.nameDOM!='') $('#'+properties.nameDOM).html(options.pictures[properties.vCurrentPict].name);
+        if(properties.commentDOM!='') $('#'+properties.commentDOM).html(options.pictures[properties.vCurrentPict].comment);
+
+        $('#iammRPicLink').attr('href', options.pictures[properties.vCurrentPict].link);
+        $('#iammRPicImg').attr('src', options.pictures[properties.vCurrentPict].thumb);
+        computePositionTop();
+        $('#iamm_ill0').fadeTo(200, 1);
+      }
+    );
+
+  };
+
+  init(opt);
+}
+
+
+$(document).ready(
+  function ()
+  {
+    var rPict=new randomPict(randomPictOpt);
+  }
+);
Index: /extensions/AMenuManager/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/AMenuManager/language/en_UK/plugin.lang.php	(revision 8961)
+++ /extensions/AMenuManager/language/en_UK/plugin.lang.php	(revision 8962)
@@ -47,5 +47,5 @@
 $lang['g002_apply'] = 'Apply';
 
-$lang['g002_sectionslist'] = 'Menu blocks';
+$lang['g002_sectionslist'] = 'Menu\'s blocks';
 
 $lang['g002_yesno_y'] = 'Yes';
@@ -60,11 +60,11 @@
 $lang['g002_configrandompic'] = 'Random picture settings';
 $lang['g002_setting_randompic_aboutpicture'] = 'Displayed datas';
-$lang['g002_setting_randompic_showname'] = 'Show picture name';
-$lang['g002_setting_randompic_showcomment'] = 'Show picture comment';
+$lang['g002_setting_randompic_showname'] = 'Show picture\'s name';
+$lang['g002_setting_randompic_showcomment'] = 'Show picure\'s comment';
 $lang['g002_show_n'] = 'No';
-$lang['g002_show_o'] = 'Display above the picture';
-$lang['g002_show_u'] = 'Display under the picture';
+$lang['g002_show_o'] = 'Display over the picture';
+$lang['g002_show_u'] = 'Display under thpicture';
 
-$lang['g002_personalisedlist'] = "List of personalized blocks";
+$lang['g002_personalisedlist'] = "Liste of personalised blocks";
 $lang['g002_notitle'] = '[No title]';
 $lang['g002_title'] = 'Title';
@@ -75,6 +75,6 @@
 $lang['g002_createofpersonalised'] = 'Create a new personalized block';
 $lang['g002_editofpersonalised'] = 'Modify a personalized block';
-$lang['g002_setting_block_langchoice'] = 'Language choice';
-$lang['g002_setting_personalised_content'] = 'Block content';
+$lang['g002_setting_block_langchoice'] = 'Lang choice';
+$lang['g002_setting_personalised_content'] = 'Block\'s content';
 $lang['g002_setting_personalised_properties'] = 'Properties';
 $lang['g002_setting_personalised_nfo'] = 'Description';
@@ -84,5 +84,5 @@
 $lang['g002_modmenu'] = '\'menu\' block';
 $lang['g002_modspecial'] = '\'special\' block';
-$lang['g002_labelmenu'] = 'Menu label';
+$lang['g002_labelmenu'] = 'Menu\'s label';
 
 $lang['g002_setting_randompic_periodicchange'] = "Periodic change of the image";
@@ -100,3 +100,24 @@
 $lang['g002_click_to_manage_rights'] = "Rights management";
 
+
+// v3.0.0
+$lang['g002_ok'] = "OK";
+$lang['g002_config_saved'] = "Config saved";
+$lang['g002_config_not_saved'] = "Config was not saved";
+$lang['g002_selected_all_gallery'] = "All albums";
+$lang['g002_selected_favorites_wm'] = "Webmaster's favorites pictures";
+$lang['g002_selected_categories'] = "All selected albums";
+$lang['g002_loading'] = "Loading...";
+$lang['g002_valid_order'] = "Apply order";
+$lang['g002_reset_order'] = "Reset order";
+$lang['g002_accessibility'] = "Accessibility";
+$lang['g002_setting_core_blocks_content'] = "Content for 'Menu' & 'Specials' menus";
+$lang['g002_setting_blocks_position'] = "Visibility & ordering for menus ";
+$lang['g002_plugin'] = "Plugin";
+$lang['g002_selectedpict'] = "Selected pictures";
+$lang['g002_album_nfo'] = 'Allow to convert one or more album into a menu';
+$lang['g002_album2menu'] = "Converted album to menu";
+$lang['g002_album'] = "Album &rArr; menu";
+$lang['g002_setting_albums_menus'] = "Albums to convert to menu";
+
 ?>
Index: /extensions/AMenuManager/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AMenuManager/language/fr_FR/plugin.lang.php	(revision 8961)
+++ /extensions/AMenuManager/language/fr_FR/plugin.lang.php	(revision 8962)
@@ -13,8 +13,8 @@
 $lang['g002_personnalblock'] = 'Menu personnalisé';
 
-$lang['g002_setmenu_nfo'] = 'Gestion de l\'affichage des sections affichées dans le menu';
-$lang['g002_addlinks_nfo'] = 'Section permettant d\'afficher dans le menu une liste d\'hyperliens vers d\'autres sites internet';
-$lang['g002_randompict_nfo'] = 'Section permettant d\'afficher dans le menu une image prise au hasard dans la galerie';
-$lang['g002_personnalblock_nfo'] = 'Afficher dans le menu des sections au contenu personnalisé';
+$lang['g002_setmenu_nfo'] = 'Gestion de l\'affichage des blocs du menu';
+$lang['g002_addlinks_nfo'] = 'Bloc permettant d\'afficher dans le menu une liste d\'hyperliens pointant vers d\'autres sites';
+$lang['g002_randompict_nfo'] = 'Bloc permettant d\'afficher dans le menu une image prise au hasard dans la galerie';
+$lang['g002_personnalblock_nfo'] = 'Afficher dans le menu des blocs au contenu personnalisé';
 
 
@@ -43,9 +43,9 @@
 
 $lang['g002_setting_block_menu'] = 'Intégration dans le menu';
-$lang['g002_setting_block_active'] = 'Afficher la section dans le menu';
-$lang['g002_setting_block_title'] = 'Titre de la section dans le menu';
+$lang['g002_setting_block_active'] = 'Afficher le block dans le menu';
+$lang['g002_setting_block_title'] = 'Titre du block dans le menu';
 $lang['g002_apply'] = 'Appliquer';
 
-$lang['g002_sectionslist'] = 'Sections du menu';
+$lang['g002_sectionslist'] = 'Blocks du menu';
 
 $lang['g002_yesno_y'] = 'Oui';
@@ -58,5 +58,4 @@
 $lang['g002_translate'] = 'Traduire avec Google Translate';
 
-$lang['g002_configrandompic'] = 'Configuration de l\'image aléatoire';
 $lang['g002_setting_randompic_aboutpicture'] = 'Données affichées';
 $lang['g002_setting_randompic_showname'] = 'Afficher le nom de la photo';
@@ -66,15 +65,15 @@
 $lang['g002_show_u'] = 'Afficher en-dessous de la photo';
 
-$lang['g002_personalisedlist'] = "Liste des sections personnalisées";
+$lang['g002_personalisedlist'] = "Liste des blocks personnalisés";
 $lang['g002_notitle'] = '[Pas de titre]';
 $lang['g002_title'] = 'Titre';
-$lang['g002_sections'] = 'sections';
-$lang['g002_section'] = 'section';
-$lang['g002_nosections'] = 'Pas de sections';
-$lang['g002_addsection'] = 'Ajouter une section';
-$lang['g002_createofpersonalised'] = 'Ajout d\'une section personnalisée';
-$lang['g002_editofpersonalised'] = 'Modification d\'une section personnalisée';
+$lang['g002_sections'] = 'blocks';
+$lang['g002_section'] = 'block';
+$lang['g002_nosections'] = 'Pas de blocks';
+$lang['g002_addsection'] = 'Ajouter un block';
+$lang['g002_createofpersonalised'] = 'Ajout d\'un block personnalisé';
+$lang['g002_editofpersonalised'] = 'Modification d\'un block personnalisé';
 $lang['g002_setting_block_langchoice'] = 'Choix de la langue';
-$lang['g002_setting_personalised_content'] = 'Contenu de la section';
+$lang['g002_setting_personalised_content'] = 'Contenu du block';
 $lang['g002_setting_personalised_properties'] = 'Propriétés';
 $lang['g002_setting_personalised_nfo'] = 'Description';
@@ -82,6 +81,6 @@
 $lang['g002_all_languages'] = "Toutes langues";
 
-$lang['g002_modspecial'] = 'Section \'speciale\'';
-$lang['g002_modmenu'] = 'Section \'menu\'';
+$lang['g002_modspecial'] = 'Block \'speciale\'';
+$lang['g002_modmenu'] = 'Block \'menu\'';
 $lang['g002_labelmenu'] = 'Libellé du menu';
 
@@ -101,3 +100,29 @@
 
 
+// v3.0.0
+$lang['g002_ok'] = "OK";
+$lang['g002_config_saved'] = "Configuration enregistrée";
+$lang['g002_config_not_saved'] = "La configuration n'a pu être enregistrée";
+$lang['g002_selected_all_gallery'] = "Dans tous les albums";
+$lang['g002_selected_favorites_wm'] = "Les photos favorites du webmaster";
+$lang['g002_selected_categories'] = "Dans les albums sélectionnés";
+$lang['g002_loading'] = "Chargement en cours...";
+$lang['g002_valid_order'] = "Valider les positions";
+$lang['g002_reset_order'] = "Réinitialiser les positions";
+$lang['g002_accessibility'] = "Accessibilité";
+$lang['g002_setting_core_blocks_content'] = "Contenu des menus 'Menu' & 'Spéciales'";
+$lang['g002_setting_blocks_position'] = "Positionnement & visibilité des menus";
+$lang['g002_plugin'] = "Plugin";
+$lang['g002_selectedpict'] = "Sélection";
+$lang['g002_album_nfo'] = 'Permet de convertir un ou plusieurs albums en blocs de menu';
+$lang['g002_album2menu'] = "Conversion album &rArr; menu";
+$lang['g002_album'] = "Album &rArr; menu";
+$lang['g002_setting_albums_menus'] = "Album à convertir en menu";
+
+/* --- removed keys ---
+$lang['g002_configrandompic'] = 'Configuration de l\'image aléatoire';
+
+*/
+
+
 ?>
Index: /extensions/AMenuManager/main.inc.php
===================================================================
--- /extensions/AMenuManager/main.inc.php	(revision 8961)
+++ /extensions/AMenuManager/main.inc.php	(revision 8962)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Advanced Menu Manager
-Version: 2.2.3
+Version: 3.0.0
 Description: Gestion avancée du menu / Advanced management of menu
 Plugin URI: http://piwigo.org
@@ -23,7 +23,10 @@
 | release | date       |
 | 2.0.0b  | 2008/07/27 | * initial release with own blocks classes
+|         |            |
 | 2.0.0   | 2008/10/23 | * first release for piwigo's blocks classes
+|         |            |
 | 2.1.0   | 2009/07/26 | * add a functionality : random image can be changed
 |         |            |   every x seconds (from 0.5 to 60)
+|         |            |
 |         |            | * bug resolved : random image block is displayed only
 |         |            |   if user have accessibility to more than 0 images
@@ -32,60 +35,109 @@
 |         |            |   (cf. post:107877 on french forum)
 |         |            |   (cf. topic:14374 on french forum)
+|         |            |
 | 2.1.1   | 2009/07/27 | * random picture is preloaded before the first ajax
 |         |            |   call assuming the display of a thumbnail even if
 |         |            |   javascript is disabled on the browser
 |         |            |   (cf. post:116807 on french forum)
+|         |            |
 |         |            | * give the possibility to choose between an automatic
 |         |            |   and a fixed height for the block menu
 |         |            |   (cf. post:116804 on french forum)
+|         |            |
 |         |            | * compatibility with Sylvia theme
 |         |            |   (cf. post:116800 on french forum)
+|         |            |
 | 2.1.2   | 2009/11/16 | * adding new translations
 |         |            |    - es_ES
 |         |            |    - hu_HU (thx to sámli)
+|         |            |
 | 2.1.3   | 2009/11/24 | * mantis: feature 1285
 |         |            |   move the js for "random image" in the the footer
 |         |            |   (having the js inside the <dl> tag was not w3c
 |         |            |   compliant)
+|         |            |
 |         |            | * mantis: feature 1132
 |         |            |   Allowing order management for items in Piwigo's core
 |         |            |   blocks
+|         |            |
 |         |            | * mantis: feature 1133
 |         |            |   Allowing to group content from Piwigo's core blocks
+|         |            |
 |         |            | * mantis: feature 1278
 |         |            |   Allowing to manage access to menu items with a right
 |         |            |   management system
+|         |            |
 |         |            | * mantis: feature 1100
 |         |            |   Random picture : compatibility with theme 'montblanc'
+|         |            |
 | 2.1.4   | 2009/11/29 | * mantis: feature 1299
 |         |            |   Allows to manage access for the 'Admin' users
+|         |            |
 |         |            | * mantis: feature 1298
 |         |            |   Users 'Webmaster' aren't managed
+|         |            |
 |         |            | * mantis: feature 1297
 |         |            |   AMM don't works properly if a block 'menu' or
 |         |            |   'specials' is hidden
+|         |            |
 | 2.1.5   | 2009/12/15 | * mantis: feature 1331
 |         |            |   JS code used to manage the random picture is always
 |         |            |   loaded even if there is no menubar
+|         |            |
 |         |            | * adding new translations
 |         |            |    - zh_CN (thx mzs777)
+|         |            |
 |         |            | * update translations
 |         |            |    - hu_HU (thx to sámli)
+|         |            |
 | 2.1.6   | 2009/12/19 | * mantis: feature 1336
 |         |            |   Error message about an undefined var 'tabsheet' on
 |         |            |   the admin panel
+|         |            |
 | 2.2.0   | 2010/03/28 | * updated for Piwigo 2.1 compatibility
+|         |            |
 |         |            | * mantis: feature 1384
 |         |            |   Problem of length of title field in the custom menu
 |         |            |   module
+|         |            |
 |         |            | * mantis: bug 1476
 |         |            |   Error message on login screen
+|         |            |
 |         |            | * mantis: bug 1541
 |         |            |   Items order is not respected in admin pages
 |         |            |
-| 2.2.3   | 2011/01/20 | * Add languages
+| 3.0.0   | 2011/01/09 | * mantis: feature 1296
+|         |            |   . add permissions for managing personal menu
 |         |            |
+|         |            | * mantis: feature 1477
+|         |            |   . Possibility to pre-select the "random images"
 |         |            |
+|         |            | * mantis: bug 1680
+|         |            |   . Warning if a new lang is added in Piwigo
 |         |            |
+|         |            | * mantis: feature 1709
+|         |            |   . Change title links by sub tabs
+|         |            |
+|         |            | * mantis: feature 1723
+|         |            |   . Display links using user access right
+|         |            |
+|         |            | * mantis: bug 1776
+|         |            |   . Unable to set access for the administrator
+|         |            |
+|         |            | * mantis: bug 1910
+|         |            |   . Incompatibility with Internet Explorer
+|         |            |     (partially fixed : works, but lloks a little bit
+|         |            |      ugly)
+|         |            |
+|         |            | * mantis: feature 2052
+|         |            |   . Convert album to menu
+|         |            |
+|         |            | * mantis: feature 2128
+|         |            |   . Random picture : preload a set of picture
+|         |            |
+|         |            | * mantis: feature 2129
+|         |            |   . User & group access management is not consistent
+|         |            |
+|         |            | * plugin core rewrited
 |         |            |
 |         |            |
Index: /extensions/AMenuManager/maintain.inc.php
===================================================================
--- /extensions/AMenuManager/maintain.inc.php	(revision 8961)
+++ /extensions/AMenuManager/maintain.inc.php	(revision 8962)
@@ -14,19 +14,18 @@
 
 
-global $gpc_installed, $gpcNeeded, $lang; //needed for plugin manager compatibility
+global $gpcInstalled, $lang; //needed for plugin manager compatibility
 
 /* -----------------------------------------------------------------------------
 AMM needs the Grum Plugin Classe
 ----------------------------------------------------------------------------- */
-$gpc_installed=false;
-$gpcNeeded="3.0.0";
+$gpcInstalled=false;
 if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
 {
   @include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
-  // need GPC release greater or equal than 3.0.0
-  if(CommonPlugin::checkGPCRelease(3,0,0))
+  // need GPC release greater or equal than 3.3.3
+  if(CommonPlugin::checkGPCRelease(3,3,3))
   {
     @include_once("amm_install.class.inc.php");
-    $gpc_installed=true;
+    $gpcInstalled=true;
   }
 }
@@ -34,6 +33,5 @@
 function gpcMsgError(&$errors)
 {
-  global $gpcNeeded;
-  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), $gpcNeeded);
+  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), AMM_GPC_NEEDED);
   if(is_array($errors))
   {
@@ -51,14 +49,13 @@
 load_language('plugin.lang', AMM_PATH);
 
+
+
 function plugin_install($plugin_id, $plugin_version, &$errors)
 {
-  global $prefixeTable, $gpc_installed, $gpcNeeded;
-  if($gpc_installed)
+  global $prefixeTable, $gpcInstalled;
+  if($gpcInstalled)
   {
-    //$menu->register('mbAMM_links', 'Links', 0, 'AMM');
-    //$menu->register('mbAMM_randompict', 'Random pictures', 0, 'AMM');
     $amm=new AMM_install($prefixeTable, __FILE__);
     $result=$amm->install();
-    GPCCore::register($amm->getPluginName(), AMM_VERSION, $gpcNeeded);
   }
   else
@@ -70,22 +67,30 @@
 function plugin_activate($plugin_id, $plugin_version, &$errors)
 {
-  global $prefixeTable;
-
-  $amm=new AMM_install($prefixeTable, __FILE__);
-  $result=$amm->activate();
+  global $prefixeTable, $gpcInstalled;
+  if($gpcInstalled)
+  {
+    $amm=new AMM_install($prefixeTable, __FILE__);
+    $result=$amm->activate();
+  }
 }
 
 function plugin_deactivate($plugin_id)
 {
+  global $prefixeTable, $gpcInstalled;
+
+  if($gpcInstalled)
+  {
+    $amm=new AMM_install($prefixeTable, __FILE__);
+    $amm->deactivate();
+  }
 }
 
 function plugin_uninstall($plugin_id)
 {
-  global $prefixeTable, $gpc_installed;
-  if($gpc_installed)
+  global $prefixeTable, $gpcInstalled;
+  if($gpcInstalled)
   {
     $amm=new AMM_install($prefixeTable, __FILE__);
     $result=$amm->uninstall();
-    GPCCore::unregister($amm->getPluginName());
   }
   else
@@ -96,4 +101,3 @@
 
 
-
 ?>
Index: /extensions/AMenuManager/menu_templates/menubar_album.tpl
===================================================================
--- /extensions/AMenuManager/menu_templates/menubar_album.tpl	(revision 8962)
+++ /extensions/AMenuManager/menu_templates/menubar_album.tpl	(revision 8962)
@@ -0,0 +1,37 @@
+<dt>
+  <a href="{$block->data.link}">{$block->data.name}</a>
+</dt>
+
+<dd>
+  {assign var='ref_level' value=0}
+  {foreach from=$block->data.album item=cat}
+    {if $cat.LEVEL > $ref_level}
+    <ul>
+    {else}
+      </li>
+      {'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
+    {/if}
+      <li {if $cat.SELECTED}class="selected"{/if}>
+        <a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}">{$cat.NAME}</a>
+        {if $cat.count_images > 0}
+        <span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
+        {/if}
+        {if !empty($cat.icon_ts)}
+        <img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
+        {/if}
+    {assign var='ref_level' value=$cat.LEVEL}
+  {/foreach}
+  {'</li></ul>'|@str_repeat:$ref_level}
+
+  {if $data.nbPictures!=''}
+    <p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.nbPictures)}</p>
+  {/if}
+</dd>
+
+
+
+
+
+
+
+
Index: /extensions/AMenuManager/menu_templates/menubar_randompic.js.tpl
===================================================================
--- /extensions/AMenuManager/menu_templates/menubar_randompic.js.tpl	(revision 8961)
+++ /extensions/AMenuManager/menu_templates/menubar_randompic.js.tpl	(revision 8962)
@@ -1,73 +1,23 @@
 {literal}
 <script type="text/javascript">
-var fixedHeight = {/literal}{$data.blockHeight}{literal};
-var vIntervalID;
-
-  $(document).ready(
-    function ()
-    {
-      {/literal}
-      {if $data.blockHeight>0}
-        $("#irandompicinner").height(fixedHeight);
-        {literal}$("#iammrpic").load( function () { computePositionTop(); } );{/literal}
-      {else}
-        {literal}
-        $("#iammrpic").load( function () { $("#irandompicinner").animate({height: ($("#iamm_ill0").innerHeight())+"px"}, "normal"); } );
-        {/literal}
-      {/if}
-      {if $data.delay > 0 }
-        vIntervalID = window.setInterval(getRandomPicture, {$data.delay});
-      {/if}
-      {literal}
-    }
-  );
-
-  function computePositionTop()
-  {
-    $("#iamm_ill0").css({top:(fixedHeight-$("#iamm_ill0").innerHeight())/2});
-  }
-
-  function getRandomPicture()
-  {
-    $.get("./index.php", {ajaxfct:"randompic"},
-      function (data)
-      {
-        $("#iamm_ill0").fadeTo('slow', 0, function ()
-        {
-          $("#iamm_ill0").html(data);
-
-          {/literal}
-          {if $data.blockHeight>0}
-            {literal}
-            $("#iammrpic").load( function () {
-              computePositionTop();
-              $("#iamm_ill0").fadeTo('slow', 1);
-            } );
-            {/literal}
-          {else}
-            {literal}
-            $("#iammrpic").load( function () {
-              $("#irandompicinner").animate({height: ($("#iamm_ill0").innerHeight())+"px"}, "normal", function ()
-              {
-                $("#iamm_ill0").fadeTo('slow', 1, function ()
-                {
-                  $("#irandompicinner").animate({height: this.clientHeight+"px"}, "normal");
-                });
-              });
-            } );
-            {/literal}
-          {/if}
-          {literal}
-
-        } );
-      }
-    );
-  }
-
-  {/literal}
-
-  {literal}
-
-
+var randomPictOpt={
+    {/literal}
+      fixedHeight:{$data.blockHeight},
+      delay:{$data.delay},
+      showName:"{$data.showname}",
+      showComment:"{$data.showcomment}",
+      pictures:[
+        {foreach from=$data.pictures item=picture name=items}
+          {ldelim}
+            'comment':"{$picture.comment}",
+            'link':"{$picture.link}",
+            'name':"{$picture.name}",
+            'thumb':"{$picture.thumb}"
+          {rdelim}
+          {if !$smarty.foreach.items.last},{/if}
+        {/foreach}
+      ]
+    {literal}
+    };
 </script>
 {/literal}
